Bug 177498 - CVE-2006-0035 netlink DoS
CVE-2006-0035 netlink DoS
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Thomas Graf
Brian Brock
reported=20060109,public=2006010:2102...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-11 05:24 EST by Mark J. Cox (Product Security)
Modified: 2014-06-18 04:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-13 17:40:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Mark J. Cox (Product Security) 2006-01-11 05:25:32 EST
NOTE: We have not verified if this issue affects RHEL3.

+++ This bug was initially created as a clone of Bug #177496 +++

A netlink message with nlmsg_len set to 0 can cause an infinite loop holding the
netlink semaphore therefore allowing a local unprivileged DoS.

Here is the upstream fix for this issue:

http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=ad8e4b75c8a7bed475d72ce09bf526718862196
Comment 2 Thomas Graf 2006-01-13 17:40:16 EST
RHEL3 is not affected, the bug was introduced in a cleanup that never made it
into RHEL3.

Note You need to log in before you can comment on or make changes to this bug.